%define _name eog
%def_without collection

Name: eog2
Version: 2.2.0
Release: alt1

Summary: Eye Of Gnome
License: GPL
Group: Graphics
Url: http://www.gnome.org

Source: %_name-%version.tar.bz2
Source1: gnome-eog_16.xpm
Source2: gnome-eog_32.xpm
Source3: gnome-eog_48.xpm

Obsoletes: %_name

%define libgnomeprint_ver 2.2.1
%define libbonoboui_ver 2.2.0
%define libgnomeui_ver 2.2.0.1
%define glade2_ver 2.0.1-alt2
%define bonobo_activation_ver 2.2.0
%define librsvg_ver 2.2.1
%define gnome_vfs_ver 2.2.0
%define scrollkeeper_ver 0.3.11-alt2
%define GConf_ver 2.2.0

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver

#Requires: libgnomeprint2 >= %libgnomeprint_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libglade2 >= %glade2_ver
Requires: bonobo-activation >= %bonobo_activation_ver
Requires: librsvg2 >= %librsvg_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver

%if_with collection
Requires: libpreview
BuildPreReq: libpreview-devel
%endif

#BuildPreReq: libgnomeprint2-devel >= %libgnomeprint_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libglade2-devel >= %glade2_ver
BuildPreReq: bonobo-activation-devel >= %bonobo_activation_ver
BuildPreReq: librsvg2-devel >= %librsvg_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver

# Automatically added by buildreq on Tue Jan 28 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs bonobo-activation-devel esound fontconfig freetype2 glib2-devel gnome-vfs2-devel indent libGConf2-devel libIDL libXft libart_lgpl-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpng-devel libpopt-devel librsvg2-devel libssl libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
This is the Eye of Gnome, an image viewer program.  It is meant to be
a fast and functional image viewer as well as an image cataloging
program.

%define _libexecdir %_bindir

%prep -p
%setup -q -n %_name-%version

%build
%configure \
%if_with collection
	--enable-collection \
%endif
	--enable-platform-gnome-2

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeepe
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ > %buildroot%_menudir/%_name
?package(%name): needs="x11" section="Multimedia/Graphics" \
title="Eye of Gnome Image Viewer" longtitle="View many different types of images" \
command="%_bindir/%_name" icon="%_name.xpm"
__MENU__

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%_name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%_name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%_name.xpm

%find_lang %_name

%post
%gconf2_install %_name
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/%_name
%_datadir/idl/*
%_datadir/omf/*
%_datadir/gnome-2.0/ui/*
%_datadir/pixmaps/*
%_menudir/%_name
%_iconsdir/%_name.xpm
%_iconsdir/*/%_name.xpm
%config %_sysconfdir/gconf/schemas/*
%doc %_datadir/gnome/help/*
%doc AUTHORS ChangeLog HACKING MAINTAINERS NEWS
%doc README THANKS TODO

%changelog
* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Tue Oct 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt1
- 1.1.0
- buildreqs/reqs updated (eog uses libglade2 now)
- %%files section fixed.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2
- rebuild with new pango, gtk+

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3
- updated buildrequires

* Thu Jul 04 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- First build for Sisyphus.
